'use strict';

angular.module('thinklive.controllers.displayprofileController', [])

.controller('displayProfileController', function($user, $httpService, $utils, $storage, $ionicPlatform, $scope, $state, $rootScope) {
    $ionicPlatform.ready(function() {

        /* variables */

        var $data = {}; // local data
        var $fn = {}; // local functions

        $scope.data = {}; // scope data
        $scope.fn = {}; // scope functions

        var originatorEv;
        $scope.fn.openMenu = function($mdOpenMenu, ev) {
          originatorEv = ev;
          $mdOpenMenu(ev);
        };

        $scope.fn.changePassword = function() {
            $state.go('side-menu.change-password');
        }

        $scope.fn.home = function() {
            $state.go('side-menu.home');
        }

        $scope.fn.editProfile = function() {
            $state.go('side-menu.edit-profile');
        }

        $fn.userData = function() {
            console.log("call");
            // get user data
            $httpService.userDetails()
            .then(function(success) {
                $user.extend(success.data);
                $user.save();
                $scope.data.userData = success.data;
            }, function(error) {})
            .then(function() {
            });
        }

        $fn.setDefaults = function() {
            $fn.userData();
        }();

    });

})